
.woocommerce-notices-wrapper {
	display        : flex;
	flex-direction : column;
	gap            : 0.8em;
}

.return-to-shop {
	display         : flex;
	justify-content : center;
}

.woocommerce-message {
	margin-bottom : 0 !important;
}

.site-template table,
.site-template .cart_totals {
	border : none !important;
}

.site-template form table {
	padding          : 0 2% 2%;
	border           : none;
	background-color : #FFFFFF;
}

.site-template form thead {
	display : none;
}

.site-template form thead tr th:last-child {
	text-align : right;
}

.site-template form tbody tr {
	font-family : var(--e-global-typography-text-font-family), Sans-serif !important;
}

.site-template form tbody tr:last-child td {
	padding-top : 5%;
}

.site-template form tbody tr td {
	font-family : var(--e-global-typography-text-font-family), Sans-serif !important;
}

.site-template form tbody tr:first-child td {
	border : none;
}

.site-template form tbody tr td.product-name a {
	font-family : var(--e-global-typography-text-font-family), Sans-serif !important;
	font-size   : 1rem;
	font-weight : 600;
	line-height : 1.6rem;
	color       : var(--e-global-color-primary);
}

.site-template form .mkl-pc-edit-link--container a {
	font-size   : 0.75rem !important;
	font-weight : 400 !important;
	color       : var(--e-global-color-accent) !important;
}

.site-template form tbody tr td.product-price {
	font-family    : var(--e-global-typography-text-font-family), Sans-serif !important;
	font-size      : 1rem;
	line-height    : 1rem;
	letter-spacing : -0.034375rem;
}

.site-template form tbody tr td.product-subtotal {
	text-align : right;

}

.site-template form tbody tr td.product-subtotal * {
	font-family    : var(--e-global-typography-text-font-family), Sans-serif !important;
	font-size      : 1rem;
	font-weight    : 600;
	line-height    : 1rem;
	letter-spacing : -0.034375rem;

}

.site-template form tbody tr:last-child td.actions button,
.site-template .woocommerce-shipping-calculator button[name="calc_shipping"] {
	font-family      : var(--e-global-typography-text-font-family), Sans-serif !important;
	font-size        : 0.65rem;
	font-weight      : 400;
	letter-spacing   : 0.074375rem;
	text-transform   : uppercase;
	position         : relative;
	width            : 100%;
	background-color : var(--e-global-color-primary);
	border: none !important;
}

.site-template form tbody tr:last-child td.actions button[name="update_cart"] {
	height : 3rem;
}

.site-template .cart_totals {
	width            : 100%;
	border           : none;
	background-color : #FFFFFF;
}

.site-template .cart_totals h2 {
	font-family      : var(--e-global-typography-text-font-family), Sans-serif;
	font-size        : 1.25rem;
	font-weight      : 400;
	line-height      : 2rem;
	color            : var(--e-global-color-primary);
	text-transform   : uppercase;
	background-color : #FFFFFF;
}

.site-template .cart_totals table tbody tr * {
	font-family : var(--e-global-typography-text-font-family), Sans-serif !important;
}

.site-template .cart-discount ul {
	text-align : right;
	margin     : 0 !important;
	list-style : none !important;
}

.site-template .woocommerce-shipping-totals.shipping a {
	color : var(--e-global-color-accent) !important;
}

.site-template .cart_totals table tbody tr th {
	font-size      : 1rem;
	letter-spacing : -0.034375rem;
}

.site-template .cart_totals table tbody th,
.site-template .cart_totals table tbody td {
	padding-right : 0;
	padding-left  : 0;
}

.site-template .cart_totals table tbody tr.order-total td,
.site-template .cart_totals table tbody tr.cart-subtotal td {
	text-align : right;
}

.site-template .cart_totals table tbody tr.order-total td *,
.site-template .cart_totals table tbody tr.cart-subtotal td * {
	font-size      : 1rem;
	font-weight    : 600;
	line-height    : 1rem;
	letter-spacing : -0.034375rem;
}

.site-template .cart_totals table tbody tr.woocommerce-shipping-totals.shipping > td > p {
	font-size   : 0.8rem;
	line-height : 0.8rem;
}

.site-template .cart_totals .wc-proceed-to-checkout a {
	font-family      : var(--e-global-typography-text-font-family), Sans-serif !important !important;
	font-size        : 1.0625rem !important;
	font-weight      : 400 !important;
	line-height      : 1.0625rem !important;
	color            : white !important;
	text-transform   : uppercase;
	height           : 3rem;
	margin-bottom    : 0 !important;
	border-radius    : 0 !important;
	background-color : var(--e-global-color-primary) !important;
	border: none !important;
}


/*RESPONSIVE*/

/*phone*/
@media (max-width : 767px) {

	.site-template form tbody tr:last-child td.actions .coupon {
		float           : unset !important;
		flex-direction  : column;
		justify-content : center;
		gap             : 0.5em;
		padding-bottom  : 1em;
	}

	.site-template form tbody tr:last-child td.actions .coupon > * {
		width : 100% !important;
	}

	.site-template form tbody tr:last-child td.actions .button,
	.site-template form tbody tr:last-child td.actions .coupon > * {
		margin : 0 !important;
	}

}

/*tablet*/
@media (min-width : 768px) and (max-width : 1024px) {


	.site-template form tbody tr:last-child td.actions .coupon > * {
		flex : 1 1 100%;
	}

}

/*mobile and tablet*/
@media (max-width : 1024px) {

	.site-template form tbody tr td {
		border : none;
	}

	.site-template form tbody tr td:last-child {
		border-bottom : 1px solid var(--ast-border-color);
	}

	.site-template form tbody tr:last-child td:last-child {
		border : none;
	}

	.site-template form tbody tr:last-child td.actions .coupon {
		float           : unset !important;
		justify-content : start;
		padding-bottom  : 1em;
	}

	.site-template .woocommerce td.product-name dl.variation * {
		text-align : left;
	}


}

/*desktop*/
@media (min-width : 1025px) {

	.site-template .woocommerce {
		display               : grid;
		gap                   : 2em;
		grid-template-columns : 2fr 1fr;
	}

	.cart-collaterals:after,
	.cart-collaterals:before {
		display : none !important;
	}

	.woocommerce-notices-wrapper {
		grid-column : 2 span;
	}


	.site-template .cart_totals {
		position : sticky;
		top      : 10%;
		width    : 100% !important;
	}


}

/*pc portable*/
@media (min-width : 1025px) and (max-width : 1700px) {

	.site-template form tbody tr:last-child td.actions .coupon {
		float           : unset !important;
		justify-content : start;
		padding-bottom  : 1em;
	}

	.site-template form tbody tr:last-child td.actions .coupon > * {
		flex : 1 1 100%;
	}


	.site-template .cart_totals table tbody tr.woocommerce-shipping-totals.shipping > td > form > a {
		font-size   : 0.7rem;
		line-height : 0.7rem;
	}

	.site-template .cart_totals table tbody tr.order-total td *,
	.site-template .cart_totals table tbody tr.cart-subtotal td * {
		font-size : 0.8rem;
	}

	.site-template .cart_totals table tbody tr.woocommerce-shipping-totals.shipping > td > p {
		font-size : 0.7rem;
	}


}


/*RESPONSIVE*/
